aboutsummaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
authorK. Eugene Carlson <kvngncrlsn@gmail.com>2024-11-02 06:57:47 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-11-02 08:37:39 +0700
commit20ba45e7ca8b90ee8c2f2567f3a66763fdde2ae3 (patch)
treeb787dade71b82e6f851e4327e75da21ed899d25b /system
parent6bf3912fc43bfe37cb43e090c4f611ba62cb120a (diff)
system/sbotools3: Added (continuation of sbotools).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/sbotools3/README21
-rw-r--r--system/sbotools3/doinst.sh14
-rw-r--r--system/sbotools3/sbotools3.SlackBuild94
-rw-r--r--system/sbotools3/sbotools3.info10
-rw-r--r--system/sbotools3/slack-desc19
5 files changed, 158 insertions, 0 deletions
diff --git a/system/sbotools3/README b/system/sbotools3/README
new file mode 100644
index 0000000000000..36df4e7fca657
--- /dev/null
+++ b/system/sbotools3/README
@@ -0,0 +1,21 @@
+sbotools3 (ports-like interface to slackbuilds.org)
+
+sbotools3 is the continuation of sbotools. It is a set of Perl scripts
+providing a ports-like automation interface to slackbuilds.org. Features
+include dependency handling, using a custom git branch, generating
+32-bit and compat32 builds on multilib systems, and more.
+
+There is a man page for each included command. For 'executive
+summaries' and online man pages, see the project's home page.
+
+sbotools3 bundles the required Perl module Sort::Versions. This does
+not interfere with a copy installed from the CPAN or from
+slackbuilds.org.
+
+sbotools3 installs a default configuration file to
+/etc/sbotools/sbotools.conf.new. Existing sbotools.conf files from
+sbotools are compatible, but sbotools users may want to examine
+the new file for added options and annotation.
+
+sbotools3 conflicts with sbotools. Uninstalling sbotools before
+installing sbotools3 is recommended.
diff --git a/system/sbotools3/doinst.sh b/system/sbotools3/doinst.sh
new file mode 100644
index 0000000000000..0df078988a653
--- /dev/null
+++ b/system/sbotools3/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/sbotools/sbotools.conf.new
diff --git a/system/sbotools3/sbotools3.SlackBuild b/system/sbotools3/sbotools3.SlackBuild
new file mode 100644
index 0000000000000..0f91c43f513d7
--- /dev/null
+++ b/system/sbotools3/sbotools3.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/bash
+#
+# Slackware build script for sbotools
+#
+# Written by Jacob Pipkin <j@dawnrazor.net>
+# Altered by K. Eugene Carlson <kvngncrlsn@gmail.com>
+# Licensed under the WTFPL <http://sam.zoy.org/wtfpl/COPYING>
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=sbotools3
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+( cd SBO3-Lib
+ /usr/bin/perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=site \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3 \
+ INSTALLMAN3DIR=none
+ make
+ make test
+ make install DESTDIR=$PKG
+)
+
+SCRIPTS="check clean config find install remove snap upgrade"
+MANS="man1 man5"
+
+mkdir -p $PKG/usr/sbin \
+ $PKG/usr/share/zsh/site-functions \
+ $PKG/usr/share/bash-completion/completions
+for i in $SCRIPTS; do
+ install -m 0755 sbo$i $PKG/usr/sbin
+ install -m 0644 completions/zsh/_sbo$i $PKG/usr/share/zsh/site-functions
+ install -m 0644 completions/bash/sbo$i $PKG/usr/share/bash-completion/completions/sbo$i
+done
+
+for i in $MANS; do
+ mkdir -p $PKG/usr/man/$i
+ install -m 0644 $i/* $PKG/usr/man/$i
+done
+
+mkdir -p $PKG/etc/sbotools
+cp sbotools.conf $PKG/etc/sbotools/sbotools.conf.new
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/SBO3-Lib
+cp -a SBO3-Lib/README SBO3-Lib/Changes $PKG/usr/doc/$PRGNAM-$VERSION/SBO3-Lib
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/sbotools3/sbotools3.info b/system/sbotools3/sbotools3.info
new file mode 100644
index 0000000000000..f3df1d8b04194
--- /dev/null
+++ b/system/sbotools3/sbotools3.info
@@ -0,0 +1,10 @@
+PRGNAM="sbotools3"
+VERSION="1.0"
+HOMEPAGE="https://pghvlaans.github.io/sbotools3/"
+DOWNLOAD="https://pghvlaans.github.io/sbotools3/downloads/sbotools3-1.0.tar.gz"
+MD5SUM="18fbc61818d450877656861d03c5a63d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="K. Eugene Carlson"
+EMAIL="kvngncrlsn@gmail.com"
diff --git a/system/sbotools3/slack-desc b/system/sbotools3/slack-desc
new file mode 100644
index 0000000000000..36c985fb8d034
--- /dev/null
+++ b/system/sbotools3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sbotools3: sbotools3 (ports-like interface to slackbuilds.org)
+sbotools3:
+sbotools3: sbotools3 is the continuation of sbotools. It is a set of Perl scripts
+sbotools3: providing a ports-like automation interface to slackbuilds.org.
+sbotools3: Features include dependency handling, using a custom git branch,
+sbotools3: generating 32-bit and compat32 builds on multilib systems, and more.
+sbotools3:
+sbotools3: Homepage: https://pghvlaans.github.io/sbotools3/
+sbotools3: Original Author: Jacob Pipkin
+sbotools3: Contributors: Luke Williams, Andreas Guldstrand
+sbotools3: Maintainer: K. Eugene Carlson